<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getProfilListResponse StructType
 * @subpackage Structs
 */
class GetProfilListResponse extends AbstractStructBase
{
    /**
     * The profil
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var ProfilType[]
     */
    public $profil;
    /**
     * Constructor method for getProfilListResponse
     * @uses GetProfilListResponse::setProfil()
     * @param ProfilType[] $profil
     */
    public function __construct(array $profil = array())
    {
        $this
            ->setProfil($profil);
    }
    /**
     * Get profil value
     * @return ProfilType[]
     */
    public function getProfil()
    {
        return $this->profil;
    }
    /**
     * Set profil value
     * @throws \InvalidArgumentException
     * @param ProfilType[] $profil
     * @return GetProfilListResponse
     */
    public function setProfil(array $profil = array())
    {
        $this->profil = $profil;
        return $this;
    }
    /**
     * Add item to profil value
     * @throws \InvalidArgumentException
     * @param ProfilType $item
     * @return GetProfilListResponse
     */
    public function addToProfil(ProfilType $item)
    {
        $this->profil[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetProfilListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
