<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for przesylkaType StructType
 * @subpackage Structs
 */
abstract class PrzesylkaType extends AbstractStructBase
{
    /**
     * The guid
     * Meta informations extracted from the WSDL
     * - use: required
     * - length: 32
     * - whiteSpace: collapse
     * @var string
     */
    public $guid;
    /**
     * The pakietGuid
     * Meta informations extracted from the WSDL
     * - length: 32
     * - whiteSpace: collapse
     * @var string
     */
    public $pakietGuid;
    /**
     * The opakowanieGuid
     * Meta informations extracted from the WSDL
     * - length: 32
     * - whiteSpace: collapse
     * @var string
     */
    public $opakowanieGuid;
    /**
     * The opis
     * Meta informations extracted from the WSDL
     * - maxLength: 500
     * - whiteSpace: collapse
     * @var string
     */
    public $opis;
    /**
     * The planowanaDataNadania
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $planowanaDataNadania;
    /**
     * Constructor method for przesylkaType
     * @uses PrzesylkaType::setGuid()
     * @uses PrzesylkaType::setPakietGuid()
     * @uses PrzesylkaType::setOpakowanieGuid()
     * @uses PrzesylkaType::setOpis()
     * @uses PrzesylkaType::setPlanowanaDataNadania()
     * @param string $guid
     * @param string $pakietGuid
     * @param string $opakowanieGuid
     * @param string $opis
     * @param string $planowanaDataNadania
     */
    public function __construct($guid = null, $pakietGuid = null, $opakowanieGuid = null, $opis = null, $planowanaDataNadania = null)
    {
        $this
            ->setGuid($guid)
            ->setPakietGuid($pakietGuid)
            ->setOpakowanieGuid($opakowanieGuid)
            ->setOpis($opis)
            ->setPlanowanaDataNadania($planowanaDataNadania);
    }
    /**
     * Get guid value
     * @return string
     */
    public function getGuid()
    {
        return $this->guid;
    }
    /**
     * Set guid value
     * @param string $guid
     * @return PrzesylkaType
     */
    public function setGuid($guid = null)
    {
        $this->guid = $guid;
        return $this;
    }
    /**
     * Get pakietGuid value
     * @return string|null
     */
    public function getPakietGuid()
    {
        return $this->pakietGuid;
    }
    /**
     * Set pakietGuid value
     * @param string $pakietGuid
     * @return PrzesylkaType
     */
    public function setPakietGuid($pakietGuid = null)
    {
        $this->pakietGuid = $pakietGuid;
        return $this;
    }
    /**
     * Get opakowanieGuid value
     * @return string|null
     */
    public function getOpakowanieGuid()
    {
        return $this->opakowanieGuid;
    }
    /**
     * Set opakowanieGuid value
     * @param string $opakowanieGuid
     * @return PrzesylkaType
     */
    public function setOpakowanieGuid($opakowanieGuid = null)
    {
        $this->opakowanieGuid = $opakowanieGuid;
        return $this;
    }
    /**
     * Get opis value
     * @return string|null
     */
    public function getOpis()
    {
        return $this->opis;
    }
    /**
     * Set opis value
     * @param string $opis
     * @return PrzesylkaType
     */
    public function setOpis($opis = null)
    {
        $this->opis = $opis;
        return $this;
    }
    /**
     * Get planowanaDataNadania value
     * @return string|null
     */
    public function getPlanowanaDataNadania()
    {
        return $this->planowanaDataNadania;
    }
    /**
     * Set planowanaDataNadania value
     * @param string $planowanaDataNadania
     * @return PrzesylkaType
     */
    public function setPlanowanaDataNadania($planowanaDataNadania = null)
    {
        $this->planowanaDataNadania = $planowanaDataNadania;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return PrzesylkaType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
